Class List Method List File List

# Class: Concurrent::Actor::Behaviour::ErrorsOnUnknownMessage

Inherits:
  Abstract
  - Object
  - Abstract
  - Concurrent::Actor::Behaviour::ErrorsOnUnknownMessage
  show all
Defined in:
  lib/concurrent/actor/behaviour/errors_on_unknown_message.rb

## Overview

Simply fails when message arrives here. It's usually the last behaviour.

## Instance Attribute Summary (collapse)

- - (undocumented) core inherited from Abstract readonly
- - (undocumented) subsequent inherited from Abstract readonly

## Instance Method Summary (collapse)

- - (undocumented) on_envelope(envelope)

## Constructor Details

This class inherits a constructor from Concurrent::Actor::Behaviour::Abstract

## Instance Attribute Details

### - (`undocumented`) core (readonly) Originally defined in class Abstract

### - (`undocumented`) subsequent (readonly) Originally defined in class Abstract

## Instance Method Details

### - (`undocumented`) on_envelope(envelope)

Raises:

- (`UnknownMessage`)

    6
    7
    8

    # File 'lib/concurrent/actor/behaviour/errors_on_unknown_message.rb', line 6

    def on_envelope(envelope)
      raise UnknownMessage, envelope
    end